Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class VLTreeNode

`java.lang.Object
javax.swing.tree.DefaultMutableTreeNode
oracle.jbo.jbotester.ObjTreeNode
oracle.jbo.jbotester.VLTreeNode`

All Implemented Interfaces:
  java.lang.Cloneable, javax.swing.tree.MutableTreeNode, java.io.Serializable, javax.swing.tree.TreeNode

public final class VLTreeNode
extends ObjTreeNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.jbotester.ObjTreeNode
`APP_MODULE, APP_MODULE_BRANCH, createAMAction, createVLAction, createVOAction, popupMenu, removeAction, VIEW_LINK, VIEW_LINK_BRANCH, VIEW_OBJECT, VIEW_OBJECT_BRANCH`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`VLTreeNode(ApplicationModule appMod, java.lang.String vlName)`
`VLTreeNode(ApplicationModule appMod, ViewLink viewLink)`
`VLTreeNode(ViewLink viewLink)`

Method Summary
`java.lang.Object` | `getData()`
`java.lang.String` | `getFullName()`
`javax.swing.ImageIcon` | `getIcon()`
`javax.swing.JPopupMenu` | `getMenu()`
`java.lang.String` | `getName()`
`java.lang.String` | `getStatus()`
`int` | `getType()`
`void` | `handleEvent(java.awt.event.ActionEvent e)`
`void` | `remove()`
`void` | `setData(java.lang.Object data)`
`void` | `showForm()`
`void` | `showProperties()`

Methods inherited from class oracle.jbo.jbotester.ObjTreeNode
`createVOVLMenu, getChildOfName, getParentOfType, isBindParameterActionEnabled, isFormDisplayed, showPropertyDialog, toString`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VLTreeNode

    public VLTreeNode(ViewLink viewLink)

### VLTreeNode

    public VLTreeNode(ApplicationModule appMod,
                      ViewLink viewLink)

### VLTreeNode

    public VLTreeNode(ApplicationModule appMod,
                      java.lang.String vlName)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `ObjTreeNode`

### getFullName

    public java.lang.String getFullName()

  Overrides:
    `getFullName` in class `ObjTreeNode`

### getType

    public int getType()

  Specified by:
    `getType` in class `ObjTreeNode`

### getData

    public java.lang.Object getData()

  Specified by:
    `getData` in class `ObjTreeNode`

### setData

    public void setData(java.lang.Object data)

  Specified by:
    `setData` in class `ObjTreeNode`

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in class `ObjTreeNode`

### showForm

    public void showForm()

  Overrides:
    `showForm` in class `ObjTreeNode`

### getStatus

    public java.lang.String getStatus()

  Overrides:
    `getStatus` in class `ObjTreeNode`

### handleEvent

    public void handleEvent(java.awt.event.ActionEvent e)

  Overrides:
    `handleEvent` in class `ObjTreeNode`

### getMenu

    public javax.swing.JPopupMenu getMenu()

  Overrides:
    `getMenu` in class `ObjTreeNode`

### remove

    public void remove()

  Overrides:
    `remove` in class `ObjTreeNode`

### showProperties

    public void showProperties()

  Overrides:
    `showProperties` in class `ObjTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.